/*Overriding BS5 defaults*/
:root {
    --bs-primary: #5DBC28;
    --bs-primary-rgb: 93, 188, 40
}

/*site related settings*/
html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin-bottom: 60px;
}


/*datatable width 100% of screen*/
.dataTables_wrapper .table-dataTable {
    width: 100% !important
}

/*change the border colours of table*/
table.table-bordered {
    border: 1px solid #949494;
    margin-top: 20px;
}

    table.table-bordered > thead > tr > th, table.table-bordered > tbody > tr > td, table.table-bordered > tbody > tr > th {
        border: 1px solid #949494;
    }

/*Centre table headers*/
.my-table-centre-headers th {
    text-align: center !important
}

/*inprogress overlay*/
.loader-wrapper {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: rgba(3, 3, 3, 0.8)
}

    .loader-wrapper .loader {
        position: relative;
        top: 50%;
        left: 50%;
        display: block;
        width: 100px;
        height: 100px;
        margin: -50px 0 0 -50px;
    }


/* Set width on the form input elements since they're 100% wide by default */
form input,
form select,
form textarea {
    max-width: 280px;
}

/*Multiline display template*/
.multiline-display {
    white-space: pre-wrap;
}

/*remove background colour from readonly fields*/
.form-control[readonly] {
    background-color: unset;
    opacity: 1;
}

/*Customising bootstrap colours*/
.btn-primary {
    background-color: #5dbc28;
    border-color: #0d6efd;
}
.btn-primary:hover{
    background-color: green;
    border-color: #0d6efd;
}

/*Datatable Child row show and hide image*/
tr td.dt-child-row-control {
    background: url('../images/details_open.png') no-repeat center center;
    cursor: pointer;
    padding: 15px !important;
}

tr.details td.dt-child-row-control {
    background: url('../images/details_close.png') no-repeat center center;
}

/*form styles*/
.form-label{
    font-weight:bold
}

/*line height for empty dd*/
dd {
    min-height: 1.5em;
}